> For the complete documentation index, see [llms.txt](https://docs.thousandeyes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thousandeyes.com/product-documentation/browser-synthetics/transaction-tests/use-cases/api-monitoring/tls-module.md).

# Using the tls module

If your transaction script needs to connect to a server over TCP secured with TLS, use the `tls` module, which is included as a part of the ThousandEyes `net` module.

## Creating a Connection

To create a client connection that includes TLS, use the `connectTls` function:

`await net.connectTls(<port>, '<host.ip.address>', [OPTIONS])`

## Example GET Request with TLS

In the following example, notice that you first set host and port; then use those when you call `net.connectTls`:

```
import { net } from 'thousandeyes';

runScript();

async function runScript() {
   let host = 'google.com';
   let port = 443;
   let request_body = `GET / HTTP/1.1\r\n` +
                   `Host: ${host}\r\n` +
                   `User-Agent: thousandeyes-transaction\r\n` +
                   `\r\n`;

  let client = await net.connectTls(port, host);
  client.setEncoding('utf8');
  await client.write(request_body);
  await client.end();
  let response = await client.read();
  
  console.log(response);

};
```

For additional examples, see the [public repository of ThousandEyes transaction scripts](https://github.com/thousandeyes/transaction-scripting-examples/tree/master/API-transaction-scripts).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thousandeyes.com/product-documentation/browser-synthetics/transaction-tests/use-cases/api-monitoring/tls-module.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
